## xl2tpd 1.1.12.dfsg.1

=== Makefile ===
#
# Layer Two Tunneling Protocol Daemon
# Copyright (C)1998 Adtran, Inc.
#
# Mark Spencer <markster@marko.net>
#
# This is free software.  You may distribute it under
# the terms of the GNU General Public License,
# version 2, or at your option any later version.
#
# Note on debugging flags:
# -DDEBUG_ZLB shows all ZLB exchange traffic
# -DDEBUG_HELLO debugs when hello messages are sent
# -DDEBUG_CLOSE debugs call and tunnel closing
# -DDEBUG_FLOW debugs flow control system
# -DDEBUG_FILE debugs file format
# -DDEBUG_AAA debugs authentication, accounting, and access control
# -DDEBUG_PAYLOAD shows info on every payload packet
# -DDEBUG_CONTROL shows info on every control packet and the l2tp-control pipe
# -DDEBUG_PPPD shows the command line of pppd and how we signal pppd (see below)
# -DDEBUG_HIDDEN debugs hidden AVP's
# -DDEBUG_ENTROPY debug entropy generation
# -DDEBUG_CONTROL_XMIT
# -DDEBUG_MAGIC
# -DDEBUG_FLOW_MORE
# -DDEBUG_AUTH
#
# -DTEST_HIDDEN makes Assigned Call ID sent as a hidden AVP
#
#
# Defining TRUST_PPPD_TO_DIE disables a workaround for broken pppds. Do NOT
# define this unless you fully trust your version of pppd to honour SIGTERM. 
# See: http://bugs.xelerance.com/view.php?id=739
# Confirmed bad versions of pppd:
# - ppp-2.4.2-6.4.RHEL4
# -DTRUST_PPPD_TO_DIE 
#
DFLAGS= -DDEBUG_PPPD
#DFLAGS= -g -DDEBUG_HELLO -DDEBUG_CLOSE -DDEBUG_FLOW -DDEBUG_PAYLOAD -DDEBUG_CONTROL -DDEBUG_CONTROL_XMIT -DDEBUG_FLOW_MORE -DDEBUG_MAGIC -DDEBUG_ENTROPY -DDEBUG_HIDDEN -DDEBUG_PPPD -DDEBUG_AAA -DDEBUG_FILE -DDEBUG_FLOW -DDEBUG_HELLO -DDEBUG_CLOSE -DDEBUG_ZLB -DDEBUG_AUTH
#
# Uncomment the next line for Linux
#
OSFLAGS= -DLINUX
#
# Uncomment the following to use the kernel interface under Linux
# This requires the pppol2tp-linux-2.4.27.patch patch from contrib
# or a 2.6.23+ kernel. On some distributions kernel include files
# are packages seperately (eg kernel-headers on Fedora)
#
#OSFLAGS+= -DUSE_KERNEL
#
# Uncomment the next line for FreeBSD
#
#OSFLAGS= -DFREEBSD
#
# Uncomment the next line for Solaris. For solaris, at least,
# we don't want to specify -I/usr/include because it is in
# the basic search path, and will over-ride some gcc-specific
# include paths and cause problems.
#
#CC=gcc
#OSFLAGS= -DSOLARIS
#OSLIBS= -lnsl -lsocket
#
# Feature flags
#
# Comment the following line to disable xl2tpd maintaining IP address
# pools to pass to pppd to control IP address allocation

FFLAGS= -DIP_ALLOCATION

CFLAGS+= $(DFLAGS) -O2 -fno-builtin -Wall -DSANITY $(OSFLAGS) $(FFLAGS)
HDRS=l2tp.h avp.h misc.h control.h call.h scheduler.h file.h aaa.h md5.h
OBJS=xl2tpd.o pty.o misc.o control.o avp.o call.o network.o avpsend.o scheduler.o file.o aaa.o md5.o
SRCS=${OBJS:.o=.c} ${HDRS}
#LIBS= $(OSLIBS) # -lefence # efence for malloc checking
EXEC=xl2tpd
BINDIR=/usr/sbin
MANDIR=/usr/share/man
all: $(EXEC)

clean:
	rm -f $(OBJS) $(EXEC)

$(EXEC): $(OBJS) $(HDRS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LDLIBS)

romfs:
	$(ROMFSINST) /bin/$(EXEC)

install: ${EXEC}
	install -D --mode=0755 ${EXEC} ${DESTDIR}/${BINDIR}/${EXEC}
	install -d --mode=0755 ${DESTDIR}/${MANDIR}/man{5,8}
	install --mode=0644 doc/xl2tpd.8 ${DESTDIR}/${MANDIR}/man8/
	install --mode=0644 doc/xl2tpd.conf.5 doc/l2tp-secrets.5 \
		${DESTDIR}${MANDIR}/man5/

TAGS:	${SRCS}
	etags ${SRCS}

=== packaging/openwrt/Makefile ===

include $(TOPDIR)/rules.mk

PKG_NAME:=xl2tpd
PKG_VERSION:=1.1.12
PKG_RELEASE:=1
PKG_MD5SUM:=ab5656eb5a3d1973f7f69b039675332e-NEEDSUPDATING

PKG_SOURCE_URL:=http://www.xelerance.com/software/xl2tpd/
PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)
PKG_CAT:=zcat

include $(TOPDIR)/package/rules.mk

$(eval $(call PKG_template,XL2TPD,xl2tpd,$(PKG_VERSION)-$(PKG_RELEASE),$(ARCH)))

FLAGS := $(TARGET_CFLAGS) -I$(PKG_BUILD_DIR)/linux/include -L$(STAGING_DIR)/usr/lib -I$(STAGING_DIR)/usr/include

$(PKG_BUILD_DIR)/.built:
	$(MAKE) -C $(PKG_BUILD_DIR) \
		$(TARGET_CONFIGURE_OPTS) \
		ARCH="mips" \
		LD_LIBRARY_PATH="$(STAGING_DIR)/usr/lib" \
		EXTRA_INCLUDE="-I$(STAGING_DIR)/usr/include" \
		all

$(IPKG_XL2TPD):
	$(MAKE) -C $(PKG_BUILD_DIR) \
		$(TARGET_CONFIGURE_OPTS) \
		DESTDIR="$(IDIR_XL2TPD)" \
		ARCH="mips" \
		install
	-$(STRIP) $(IDIR_XL2TPD)/usr/sbin/xl2tpd
	rm -rf $(IDIR_XL2TPD)/usr/share
	rm -rf $(IDIR_XL2TPD)/usr/man
	rm -rf $(IDIR_XL2TPD)/var
	rm -rf $(IDIR_XL2TPD)/etc/rc.d/rc*.d
	mkdir -p $(IDIR_XL2TPD)/etc/init.d
	mkdir -p $(IDIR_XL2TPD)/etc/ppp
	mkdir -p $(IDIR_XL2TPD)/etc/xl2tpd
	cp $(PKG_BUILD_DIR)/examples/ppp-options.xl2tpd  $(IDIR_XL2TPD)/etc/ppp/options.xl2tpd
	cp $(PKG_BUILD_DIR)/examples/xl2tpd.conf  $(IDIR_XL2TPD)/etc/xl2tpd
	cp $(PKG_BUILD_DIR)/packaging/openwrt  $(IDIR_XL2TPD)/etc/init.d/
	find $(PKG_BUILD_DIR) -name \*.old | xargs rm -rf
	mkdir -p $(PACKAGE_DIR)
	$(IPKG_BUILD) $(IDIR_XL2TPD) $(PACKAGE_DIR)

## xl2tpd 1.2.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -30,24 +30,36 @@
 #
 # Defining TRUST_PPPD_TO_DIE disables a workaround for broken pppds. Do NOT
 # define this unless you fully trust your version of pppd to honour SIGTERM. 
-# See: http://bugs.xelerance.com/view.php?id=739
+# However, if you experience hanging pppd's, which cause xl2tpd to also hang,
+# enable this. 
+# The cost of not trusting pppd to die (and shoot it down hard), is that your
+# pppd's ip-down scripts will not have a chance to run.
+#
+# For more details see: http://bugs.xelerance.com/view.php?id=739
+#
 # Confirmed bad versions of pppd:
 # - ppp-2.4.2-6.4.RHEL4
+# Confirmed good version of pppd:
+# - recent Ubuntu/Debian pppd's
+#
 # -DTRUST_PPPD_TO_DIE 
-#
+
 DFLAGS= -DDEBUG_PPPD
 #DFLAGS= -g -DDEBUG_HELLO -DDEBUG_CLOSE -DDEBUG_FLOW -DDEBUG_PAYLOAD -DDEBUG_CONTROL -DDEBUG_CONTROL_XMIT -DDEBUG_FLOW_MORE -DDEBUG_MAGIC -DDEBUG_ENTROPY -DDEBUG_HIDDEN -DDEBUG_PPPD -DDEBUG_AAA -DDEBUG_FILE -DDEBUG_FLOW -DDEBUG_HELLO -DDEBUG_CLOSE -DDEBUG_ZLB -DDEBUG_AUTH
 #
-# Uncomment the next line for Linux
+# Uncomment the next line for Linux. KERNELSRC is needed for if_pppol2tp.h,
+# but we use a local copy if we don't find it.
 #
-OSFLAGS= -DLINUX
+#KERNELSRC=/lib/modules/`uname -r`/build/
+KERNELSRC?=./linux
+OSFLAGS= -DLINUX -I$(KERNELSRC)/include/
 #
 # Uncomment the following to use the kernel interface under Linux
 # This requires the pppol2tp-linux-2.4.27.patch patch from contrib
 # or a 2.6.23+ kernel. On some distributions kernel include files
 # are packages seperately (eg kernel-headers on Fedora)
 #
-#OSFLAGS+= -DUSE_KERNEL
+OSFLAGS+= -DUSE_KERNEL
 #
 # Uncomment the next line for FreeBSD
 #
@@ -90,7 +102,8 @@
 
 install: ${EXEC}
 	install -D --mode=0755 ${EXEC} ${DESTDIR}/${BINDIR}/${EXEC}
-	install -d --mode=0755 ${DESTDIR}/${MANDIR}/man{5,8}
+	install -d --mode=0755 ${DESTDIR}/${MANDIR}/man5
+	install -d --mode=0755 ${DESTDIR}/${MANDIR}/man8
 	install --mode=0644 doc/xl2tpd.8 ${DESTDIR}/${MANDIR}/man8/
 	install --mode=0644 doc/xl2tpd.conf.5 doc/l2tp-secrets.5 \
 		${DESTDIR}${MANDIR}/man5/

=== packaging/openwrt/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=xl2tpd
-PKG_VERSION:=1.1.12
+PKG_VERSION:=1.2.0
 PKG_RELEASE:=1
 PKG_MD5SUM:=ab5656eb5a3d1973f7f69b039675332e-NEEDSUPDATING

## xl2tpd 1.2.4+dfsg

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,7 @@
 #
 # -DTEST_HIDDEN makes Assigned Call ID sent as a hidden AVP
 #
+# -DTRUST_PPPD_TO_DIE 
 #
 # Defining TRUST_PPPD_TO_DIE disables a workaround for broken pppds. Do NOT
 # define this unless you fully trust your version of pppd to honour SIGTERM. 
@@ -42,24 +43,27 @@
 # Confirmed good version of pppd:
 # - recent Ubuntu/Debian pppd's
 #
-# -DTRUST_PPPD_TO_DIE 
+# ppp 2.4.3 sends a SIGTERM after 5 seconds, so it should be safe to
+# trust pppd. This work around will be removed in the near future.
 
-DFLAGS= -DDEBUG_PPPD
-#DFLAGS= -g -DDEBUG_HELLO -DDEBUG_CLOSE -DDEBUG_FLOW -DDEBUG_PAYLOAD -DDEBUG_CONTROL -DDEBUG_CONTROL_XMIT -DDEBUG_FLOW_MORE -DDEBUG_MAGIC -DDEBUG_ENTROPY -DDEBUG_HIDDEN -DDEBUG_PPPD -DDEBUG_AAA -DDEBUG_FILE -DDEBUG_FLOW -DDEBUG_HELLO -DDEBUG_CLOSE -DDEBUG_ZLB -DDEBUG_AUTH
-#
+# DFLAGS= -g -DDEBUG_HELLO -DDEBUG_CLOSE -DDEBUG_FLOW -DDEBUG_PAYLOAD -DDEBUG_CONTROL -DDEBUG_CONTROL_XMIT -DDEBUG_FLOW_MORE -DDEBUG_MAGIC -DDEBUG_ENTROPY -DDEBUG_HIDDEN -DDEBUG_PPPD -DDEBUG_AAA -DDEBUG_FILE -DDEBUG_FLOW -DDEBUG_HELLO -DDEBUG_CLOSE -DDEBUG_ZLB -DDEBUG_AUTH
+DFLAGS?= -DDEBUG_PPPD -DTRUST_PPPD_TO_DIE
+
 # Uncomment the next line for Linux. KERNELSRC is needed for if_pppol2tp.h,
 # but we use a local copy if we don't find it.
 #
 #KERNELSRC=/lib/modules/`uname -r`/build/
 KERNELSRC?=./linux
-OSFLAGS= -DLINUX -I$(KERNELSRC)/include/
+OSFLAGS?= -DLINUX -I$(KERNELSRC)/include/
 #
 # Uncomment the following to use the kernel interface under Linux
 # This requires the pppol2tp-linux-2.4.27.patch patch from contrib
 # or a 2.6.23+ kernel. On some distributions kernel include files
 # are packages seperately (eg kernel-headers on Fedora)
+# Note: 2.6.23+ support still needs some changes in the xl2tpd source
 #
-OSFLAGS+= -DUSE_KERNEL
+#OSFLAGS+= -DUSE_KERNEL
+#
 #
 # Uncomment the next line for FreeBSD
 #
@@ -73,7 +77,12 @@
 #CC=gcc
 #OSFLAGS= -DSOLARIS
 #OSLIBS= -lnsl -lsocket
+
+# Uncomment the next two lines for OpenBSD
 #
+#OSFLAGS= -DOPENBSD
+#LDLIBS= -lutil
+
 # Feature flags
 #
 # Comment the following line to disable xl2tpd maintaining IP address
@@ -87,26 +96,46 @@
 SRCS=${OBJS:.o=.c} ${HDRS}
 #LIBS= $(OSLIBS) # -lefence # efence for malloc checking
 EXEC=xl2tpd
-BINDIR=/usr/sbin
-MANDIR=/usr/share/man
-all: $(EXEC)
+
+PREFIX?=/usr/local
+SBINDIR?=$(DESTDIR)${PREFIX}/sbin
+BINDIR?=$(DESTDIR)${PREFIX}/bin
+MANDIR?=$(DESTDIR)${PREFIX}/share/man
+
+
+all: $(EXEC) pfc
 
 clean:
-	rm -f $(OBJS) $(EXEC)
+	rm -f $(OBJS) $(EXEC) pfc.o pfc
 
 $(EXEC): $(OBJS) $(HDRS)
 	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LDLIBS)
 
+pfc:
+	$(CC) $(CFLAGS) -c contrib/pfc.c
+	$(CC) $(LDFLAGS) -lpcap $(LDLIBS) -o pfc pfc.o
+
 romfs:
 	$(ROMFSINST) /bin/$(EXEC)
 
-install: ${EXEC}
-	install -D --mode=0755 ${EXEC} ${DESTDIR}/${BINDIR}/${EXEC}
-	install -d --mode=0755 ${DESTDIR}/${MANDIR}/man5
-	install -d --mode=0755 ${DESTDIR}/${MANDIR}/man8
-	install --mode=0644 doc/xl2tpd.8 ${DESTDIR}/${MANDIR}/man8/
-	install --mode=0644 doc/xl2tpd.conf.5 doc/l2tp-secrets.5 \
-		${DESTDIR}${MANDIR}/man5/
+install: ${EXEC} pfc
+	install -d -m 0755 ${SBINDIR}
+	install -m 0755 $(EXEC) ${SBINDIR}/$(EXEC)
+	install -d -m 0755 ${MANDIR}/man5
+	install -d -m 0755 ${MANDIR}/man8
+	install -m 0644 doc/xl2tpd.8 ${MANDIR}/man8/
+	install -m 0644 doc/xl2tpd.conf.5 doc/l2tp-secrets.5 \
+		 ${MANDIR}/man5/
+	# pfc
+	install -d -m 0755 ${BINDIR}
+	install -m 0755 pfc ${BINDIR}/pfc
+	install -d -m 0755 ${MANDIR}/man1
+	install -m 0644 contrib/pfc.1 ${MANDIR}/man1/
+
+# openbsd
+#	install -d -m 0755 /var/run/xl2tpd
+#	mkfifo /var/run/l2tp-control
+
 
 TAGS:	${SRCS}
 	etags ${SRCS}

=== packaging/openwrt/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=xl2tpd
-PKG_VERSION:=1.2.0
+PKG_VERSION:=1.2.4
 PKG_RELEASE:=1
 PKG_MD5SUM:=ab5656eb5a3d1973f7f69b039675332e-NEEDSUPDATING

## xl2tpd 1.2.5+dfsg

=== packaging/openwrt/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=xl2tpd
-PKG_VERSION:=1.2.4
+PKG_VERSION:=1.2.5
 PKG_RELEASE:=1
 PKG_MD5SUM:=ab5656eb5a3d1973f7f69b039675332e-NEEDSUPDATING

## xl2tpd 1.2.6+dfsg

=== Makefile ===
--- 
+++ 
@@ -67,28 +67,28 @@
 #
 # Uncomment the next line for FreeBSD
 #
-#OSFLAGS= -DFREEBSD
+#OSFLAGS?= -DFREEBSD
 #
 # Uncomment the next line for Solaris. For solaris, at least,
 # we don't want to specify -I/usr/include because it is in
 # the basic search path, and will over-ride some gcc-specific
 # include paths and cause problems.
 #
-#CC=gcc
-#OSFLAGS= -DSOLARIS
-#OSLIBS= -lnsl -lsocket
+#CC?=gcc
+#OSFLAGS?= -DSOLARIS
+#OSLIBS?= -lnsl -lsocket
 
 # Uncomment the next two lines for OpenBSD
 #
-#OSFLAGS= -DOPENBSD
-#LDLIBS= -lutil
+#OSFLAGS?= -DOPENBSD
+#LDLIBS?= -lutil
 
 # Feature flags
 #
 # Comment the following line to disable xl2tpd maintaining IP address
 # pools to pass to pppd to control IP address allocation
 
-FFLAGS= -DIP_ALLOCATION
+FFLAGS?= -DIP_ALLOCATION
 
 CFLAGS+= $(DFLAGS) -O2 -fno-builtin -Wall -DSANITY $(OSFLAGS) $(FFLAGS)
 HDRS=l2tp.h avp.h misc.h control.h call.h scheduler.h file.h aaa.h md5.h

=== packaging/openwrt/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=xl2tpd
-PKG_VERSION:=1.2.5
+PKG_VERSION:=1.2.6
 PKG_RELEASE:=1
 PKG_MD5SUM:=ab5656eb5a3d1973f7f69b039675332e-NEEDSUPDATING

=== debian/changelog ===
xl2tpd (1.2.6+dfsg-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format 
  * Update to Standards-Version 3.8.4 (no changes)
  * Add $remote_fs to Required-Start/Required-Stop in init script

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 05 Jun 2010 21:10:17 -0400

xl2tpd (1.2.5+dfsg-1) unstable; urgency=low

  * New upstream release
  * Remove unnecessary README.source since dpatch was dropped
  * Update to Standards-Version 3.8.3

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 24 Jan 2010 15:23:17 -0500

xl2tpd (1.2.4+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #494795)
  * Update to Standards-Version 3.8.1
    + Add README.source
    + Fix watch file to use dversionmangle instead of uversionmangle
  * Update copyright file to new proposed format
  * Drop debian/patches/02_trust_pppd_to_die.dpatch (included upstream)
  * Add build-time dependency on libpcap0.8-dev
  * Make lintian happy:
    + Move creation of directory in /var/run to daemon start time
  * Drop l2tpd transitional package

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 13 Mar 2009 09:58:54 -0400

xl2tpd (1.2.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_fix_makefile_bashism.dpatch: Remove, included upstream

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 31 Mar 2008 17:02:47 -0400

xl2tpd (1.1.12.dfsg.1-4) unstable; urgency=low

  * Ship examples (Closes: #466512)
  * Trust pppd to die properly (Closes: #466057)
  * Update watch file and automate repacking upstream tarball.

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 08 Mar 2008 21:25:41 -0500

xl2tpd (1.1.12.dfsg.1-3) unstable; urgency=low

  * Update to Standards-Version 3.7.3 (no changes required)
  * Fix Makefile bashism, thanks to Luca Falavigna (Closes: #453046)
  * Make sure conffiles are not left behind (Closes: #455023)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 20 Jan 2008 21:13:52 -0500

xl2tpd (1.1.12.dfsg.1-2) unstable; urgency=low

  * debian/control: Switch Homepage to be a proper control field.
  * debian/xl2tpd.init: Add --oknodo for stop action (Closes: #447990)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun,  4 Nov 2007 14:47:30 -0500

xl2tpd (1.1.12.dfsg.1-1) unstable; urgency=low

  * New upstream release
  * Repack upsteam tarball: remove non-free RFC and shipped debian/ directory

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 20 Oct 2007 09:46:16 -0400

xl2tpd (1.1.11.dfsg.1-2) unstable; urgency=low

  * Added missing copyright notices.

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri,  3 Aug 2007 14:13:23 -0400

xl2tpd (1.1.11.dfsg.1-1) unstable; urgency=low

  * Initial release (Closes: #427113, 402660)
  * Make l2tpd obsolete (Closes: #358799)
  * Repackage upstream tarball to remove non-free RFC (Closes: #393381)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 31 Jul 2007 20:57:23 -0400

=== debian/control ===
Source: xl2tpd
Section: net
Priority: optional
Maintainer: Roberto C. Sanchez <roberto@connexer.com>
Homepage: http://www.xelerance.com/software/xl2tpd/
Build-Depends: debhelper (>= 5), libpcap0.8-dev
Standards-Version: 3.8.4

Package: xl2tpd
Architecture: any
Provides: l2tpd
Replaces: l2tpd (<< ${source:Version})
Depends: ${shlibs:Depends}, ${misc:Depends}, ppp
Description: a layer 2 tunneling protocol implementation
 xl2tpd is an open source implementation of the L2TP tunneling
 protocol (RFC2661).  xl2tpd is forked from l2tpd and is maintained by
 Xelerance Corporation.
 .
 The main purpose of this protocol is to tunnel PPP frames through IP
 networks.  It implements both LAC and LNS role in the L2TP networking
 architecture.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/xl2tpd install
	cp $(CURDIR)/doc/l2tpd.conf.sample $(CURDIR)/debian/xl2tpd/etc/xl2tpd/xl2tpd.conf
	cp $(CURDIR)/doc/l2tp-secrets.sample $(CURDIR)/debian/xl2tpd/etc/xl2tpd/l2tp-secrets

# Build architecture-independent files here.
binary-indep: build install
	# Nothing to do here

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installinit
	dh_installman
	cp debian/lintian-overrides \
		debian/xl2tpd/usr/share/lintian/overrides/xl2tpd
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	chmod 600 $(CURDIR)/debian/xl2tpd/etc/xl2tpd/l2tp-secrets
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts="dversionmangle=s/\+dfsg//" ftp://ftp.xelerance.com/xl2tpd/xl2tpd-(.*)\.tar\.gz debian debian/repack.sh

## xl2tpd 1.2.7+dfsg

=== Makefile ===
--- 
+++ 
@@ -88,9 +88,9 @@
 # Comment the following line to disable xl2tpd maintaining IP address
 # pools to pass to pppd to control IP address allocation
 
-FFLAGS?= -DIP_ALLOCATION
+IPFLAGS?= -DIP_ALLOCATION
 
-CFLAGS+= $(DFLAGS) -O2 -fno-builtin -Wall -DSANITY $(OSFLAGS) $(FFLAGS)
+CFLAGS+= $(DFLAGS) -O2 -fno-builtin -Wall -DSANITY $(OSFLAGS) $(IPFLAGS)
 HDRS=l2tp.h avp.h misc.h control.h call.h scheduler.h file.h aaa.h md5.h
 OBJS=xl2tpd.o pty.o misc.o control.o avp.o call.o network.o avpsend.o scheduler.o file.o aaa.o md5.o
 SRCS=${OBJS:.o=.c} ${HDRS}

=== debian/changelog ===
xl2tpd (1.2.7+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #578070, #589306)
  * Update to Standards-Version 3.9.1 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 07 Aug 2010 21:50:55 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.xelerance.com/software/xl2tpd/
 Build-Depends: debhelper (>= 5), libpcap0.8-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: xl2tpd
 Architecture: any

## xl2tpd 1.2.8+dfsg

=== Makefile ===
--- 
+++ 
@@ -113,7 +113,7 @@
 
 pfc:
 	$(CC) $(CFLAGS) -c contrib/pfc.c
-	$(CC) $(LDFLAGS) -lpcap $(LDLIBS) -o pfc pfc.o
+	$(CC) $(LDFLAGS) -o pfc pfc.o -lpcap $(LDLIBS)
 
 romfs:
 	$(ROMFSINST) /bin/$(EXEC)

=== packaging/openwrt/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=xl2tpd
-PKG_VERSION:=1.2.6
+PKG_VERSION:=1.2.8
 PKG_RELEASE:=1
 PKG_MD5SUM:=ab5656eb5a3d1973f7f69b039675332e-NEEDSUPDATING

=== debian/changelog ===
xl2tpd (1.2.8+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 03 Mar 2011 13:31:28 -0500

## xl2tpd 1.3.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -94,8 +94,10 @@
 HDRS=l2tp.h avp.h misc.h control.h call.h scheduler.h file.h aaa.h md5.h
 OBJS=xl2tpd.o pty.o misc.o control.o avp.o call.o network.o avpsend.o scheduler.o file.o aaa.o md5.o
 SRCS=${OBJS:.o=.c} ${HDRS}
+CONTROL_SRCS=xl2tpd-control.c
 #LIBS= $(OSLIBS) # -lefence # efence for malloc checking
 EXEC=xl2tpd
+CONTROL_EXEC=xl2tpd-control
 
 PREFIX?=/usr/local
 SBINDIR?=$(DESTDIR)${PREFIX}/sbin
@@ -103,13 +105,16 @@
 MANDIR?=$(DESTDIR)${PREFIX}/share/man
 
 
-all: $(EXEC) pfc
+all: $(EXEC) pfc $(CONTROL_EXEC)
 
 clean:
-	rm -f $(OBJS) $(EXEC) pfc.o pfc
+	rm -f $(OBJS) $(EXEC) pfc.o pfc $(CONTROL_EXEC)
 
 $(EXEC): $(OBJS) $(HDRS)
 	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LDLIBS)
+
+$(CONTROL_EXEC): $(CONTROL_SRCS)
+	$(CC) $(CONTROL_SRCS) -o $@
 
 pfc:
 	$(CC) $(CFLAGS) -c contrib/pfc.c
@@ -118,7 +123,7 @@
 romfs:
 	$(ROMFSINST) /bin/$(EXEC)
 
-install: ${EXEC} pfc
+install: ${EXEC} pfc ${CONTROL_EXEC}
 	install -d -m 0755 ${SBINDIR}
 	install -m 0755 $(EXEC) ${SBINDIR}/$(EXEC)
 	install -d -m 0755 ${MANDIR}/man5
@@ -131,7 +136,10 @@
 	install -m 0755 pfc ${BINDIR}/pfc
 	install -d -m 0755 ${MANDIR}/man1
 	install -m 0644 contrib/pfc.1 ${MANDIR}/man1/
-
+	# control exec
+	install -d -m 0755 ${SBINDIR}
+	install -m 0755 $(CONTROL_EXEC) ${SBINDIR}/$(CONTROL_EXEC)
+	
 # openbsd
 #	install -d -m 0755 /var/run/xl2tpd
 #	mkfifo /var/run/l2tp-control

=== packaging/openwrt/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=xl2tpd
-PKG_VERSION:=1.2.8
+PKG_VERSION:=1.3.1
 PKG_RELEASE:=1
 PKG_MD5SUM:=ab5656eb5a3d1973f7f69b039675332e-NEEDSUPDATING

=== debian/changelog ===
xl2tpd (1.3.1+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 10 Oct 2011 11:57:19 -0400

xl2tpd (1.3.0+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #611829)
  * Update debian/watch to account for upstream's RC numbering
  * Update to Standards-Version 3.9.2 (no changes)
  * Start when service is stopped and restart is attempted (Closes: #631369)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 13 Sep 2011 18:22:42 -0400

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.xelerance.com/software/xl2tpd/
 Build-Depends: debhelper (>= 5), libpcap0.8-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: xl2tpd
 Architecture: any
 Provides: l2tpd
 Replaces: l2tpd (<< ${source:Version})
 Depends: ${shlibs:Depends}, ${misc:Depends}, ppp
-Description: a layer 2 tunneling protocol implementation
+Description: layer 2 tunneling protocol implementation
  xl2tpd is an open source implementation of the L2TP tunneling
  protocol (RFC2661).  xl2tpd is forked from l2tpd and is maintained by
  Xelerance Corporation.

=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg//,uversionmangle=s/rc/\~rc/" ftp://ftp.xelerance.com/xl2tpd/xl2tpd-(.*)\.tar\.gz debian debian/repack.sh

## xl2tpd 1.3.6+dfsg

=== Makefile ===
--- 
+++ 
@@ -62,7 +62,7 @@
 # are packages seperately (eg kernel-headers on Fedora)
 # Note: 2.6.23+ support still needs some changes in the xl2tpd source
 #
-#OSFLAGS+= -DUSE_KERNEL
+OSFLAGS+= -DUSE_KERNEL
 #
 #
 # Uncomment the next line for FreeBSD
@@ -75,7 +75,8 @@
 # include paths and cause problems.
 #
 #CC?=gcc
-#OSFLAGS?= -DSOLARIS
+# Change /opt/sfw/ to whereever your pcap library/include files are
+#OSFLAGS?= -DSOLARIS -DPPPD=\"/usr/bin/pppd\" -std=c99 -pedantic -D__EXTENSIONS__ -D_XPG4_2 -D_XPG6 -I/opt/sfw/include
 #OSLIBS?= -lnsl -lsocket
 
 # Uncomment the next two lines for OpenBSD
@@ -114,7 +115,7 @@
 	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LDLIBS)
 
 $(CONTROL_EXEC): $(CONTROL_SRCS)
-	$(CC) $(CONTROL_SRCS) -o $@
+	$(CC) $(CFLAGS) $(LDFLAGS) $(CONTROL_SRCS) -o $@
 
 pfc:
 	$(CC) $(CFLAGS) -c contrib/pfc.c

=== packaging/openwrt/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=xl2tpd
-PKG_VERSION:=1.3.1
+PKG_VERSION:=1.3.0
 PKG_RELEASE:=1
 PKG_MD5SUM:=ab5656eb5a3d1973f7f69b039675332e-NEEDSUPDATING

=== debian/changelog ===
xl2tpd (1.3.6+dfsg-2) unstable; urgency=low

  * Update to debhelper compatibility level 7
  * Add patch series for local ip range option in the configuration, thanks
    to Pete Morreale.

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 08 May 2014 11:57:42 -0400

xl2tpd (1.3.6+dfsg-1) unstable; urgency=low

  * New upstream release
    + Drop Build-Depends on libssl-dev (reverted by upstream)
  * Drop OpenSSL exception from debian/copyright (dropped by upstream)

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 15 Jan 2014 22:08:27 -0500

xl2tpd (1.3.3+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #680146, #635472, #693316)
    + Now Build-Depends on libssl-dev for MD5 function
  * Update debian/copyright with OpenSSL linking exception
  * Update watch file to point to new github location
  * Add Vcs-Browser and Vcs-Git tags to control file
  * Update years in copyright file
  * Update copyright to conform to copyright-format 1.0
  * Update to Standards-Version 3.9.5 (no changes)
  * Build with hardening options
  * Drop obselete Replaces of l2tpd
  * Drop 01_apply_build_flags_to_all_binaries.patch (incorporated upstream)

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 03 Jan 2014 17:50:43 -0500

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.xelerance.com/software/xl2tpd/
-Build-Depends: debhelper (>= 5), libpcap0.8-dev
-Standards-Version: 3.9.2
+Vcs-Browser: https://github.com/xelerance/xl2tpd
+Vcs-Git: git://github.com/xelerance/xl2tpd.git
+Build-Depends: debhelper (>= 7.0.8), libpcap0.8-dev
+Standards-Version: 3.9.5
 
 Package: xl2tpd
 Architecture: any
 Provides: l2tpd
-Replaces: l2tpd (<< ${source:Version})
 Depends: ${shlibs:Depends}, ${misc:Depends}, ppp
 Description: layer 2 tunneling protocol implementation
  xl2tpd is an open source implementation of the L2TP tunneling

=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,12 @@
 	dh_testdir
 	touch configure-stamp
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp 
 	dh_testdir
-	$(MAKE)
+	$(MAKE) CFLAGS=" -DDEBUG_PPPD -DTRUST_PPPD_TO_DIE -O2 -fno-builtin -Wall -DSANITY -DLINUX -I$(KERNELSRC)/include/ -DIP_ALLOCATION $(shell dpkg-buildflags --get CFLAGS)" CPPFLAGS=" -DDEBUG_PPPD -DTRUST_PPPD_TO_DIE -O2 -fno-builtin -Wall -DSANITY -DLINUX -I$(KERNELSRC)/include/ -DIP_ALLOCATION $(shell dpkg-buildflags --get CPPFLAGS)" LDFLAGS=" $(shell dpkg-buildflags --get LDFLAGS)"
 	touch $@
 
 clean:
@@ -38,7 +40,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/xl2tpd install
 	cp $(CURDIR)/doc/l2tpd.conf.sample $(CURDIR)/debian/xl2tpd/etc/xl2tpd/xl2tpd.conf

## xl2tpd 1.3.8+dfsg

=== Makefile ===
--- 
+++ 
@@ -69,6 +69,12 @@
 #
 #OSFLAGS?= -DFREEBSD
 #
+# Uncomment the next three lines for NetBSD
+#
+#OSFLAGS?= -DNETBSD
+#CFLAGS+= -D_NETBSD_SOURCE
+#LDLIBS?= -lutil
+#
 # Uncomment the next line for Solaris. For solaris, at least,
 # we don't want to specify -I/usr/include because it is in
 # the basic search path, and will over-ride some gcc-specific
@@ -91,12 +97,13 @@
 
 IPFLAGS?= -DIP_ALLOCATION
 
-CFLAGS+= $(DFLAGS) -O2 -fno-builtin -Wall -DSANITY $(OSFLAGS) $(IPFLAGS)
+CFLAGS+= $(DFLAGS) -Os -Wall -DSANITY $(OSFLAGS) $(IPFLAGS)
 HDRS=l2tp.h avp.h misc.h control.h call.h scheduler.h file.h aaa.h md5.h
 OBJS=xl2tpd.o pty.o misc.o control.o avp.o call.o network.o avpsend.o scheduler.o file.o aaa.o md5.o
 SRCS=${OBJS:.o=.c} ${HDRS}
 CONTROL_SRCS=xl2tpd-control.c
 #LIBS= $(OSLIBS) # -lefence # efence for malloc checking
+LDLIBS+= -lm
 EXEC=xl2tpd
 CONTROL_EXEC=xl2tpd-control

=== debian/changelog ===
xl2tpd (1.3.8+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Upload newer upstream release to jessie-backports.
  * Lower compat to 9, 10 is not actually needed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 12 Feb 2017 12:36:16 +0100

xl2tpd (1.3.8+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #760602, #842346).
  * Package adopted by Samir (Closes: #786810)
  * control:
    - Bump policy version (no change).
    - Add missing lsb-base dependency.
  * compat: Bump to 10.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Dec 2016 21:17:35 +0100

xl2tpd (1.3.6+dfsg-4) unstable; urgency=medium

  * QA upload.
  * rules: Enable USE_KERNEL, like upstream now does (Closes: #542521)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 27 Nov 2015 22:40:47 +0100

xl2tpd (1.3.6+dfsg-3) unstable; urgency=low

  * Orphan package, set maintainer to Debian QA Group

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 25 May 2015 14:40:47 -0400

=== debian/control ===
Source: xl2tpd
Section: net
Priority: optional
Maintainer: Samir Hussain <shussain@xelerance.com>
Uploaders: Samuel Thibault <sthibault@debian.org>
Homepage: https://www.xelerance.com/software/xl2tpd/
Vcs-Browser: https://github.com/xelerance/xl2tpd
Vcs-Git: git://github.com/xelerance/xl2tpd.git
Build-Depends: debhelper (>= 9), libpcap0.8-dev
Standards-Version: 3.9.8

Package: xl2tpd
Architecture: any
Provides: l2tpd
Depends: ${shlibs:Depends}, ${misc:Depends}, ppp, lsb-base (>= 3.0-6)
Description: layer 2 tunneling protocol implementation
 xl2tpd is an open source implementation of the L2TP tunneling
 protocol (RFC2661).  xl2tpd is forked from l2tpd and is maintained by
 Xelerance Corporation.
 .
 The main purpose of this protocol is to tunnel PPP frames through IP
 networks.  It implements both LAC and LNS role in the L2TP networking
 architecture.

## xl2tpd 1.3.10

=== Makefile ===
--- 
+++ 
@@ -103,7 +103,6 @@
 SRCS=${OBJS:.o=.c} ${HDRS}
 CONTROL_SRCS=xl2tpd-control.c
 #LIBS= $(OSLIBS) # -lefence # efence for malloc checking
-LDLIBS+= -lm
 EXEC=xl2tpd
 CONTROL_EXEC=xl2tpd-control
 
@@ -137,6 +136,7 @@
 	install -d -m 0755 ${MANDIR}/man5
 	install -d -m 0755 ${MANDIR}/man8
 	install -m 0644 doc/xl2tpd.8 ${MANDIR}/man8/
+	install -m 0644 doc/xl2tpd-control.8 ${MANDIR}/man8/
 	install -m 0644 doc/xl2tpd.conf.5 doc/l2tp-secrets.5 \
 		 ${MANDIR}/man5/
 	# pfc

=== packaging/openwrt/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=xl2tpd
-PKG_VERSION:=1.3.0
+PKG_VERSION:=1.3.10
 PKG_RELEASE:=1
 PKG_MD5SUM:=ab5656eb5a3d1973f7f69b039675332e-NEEDSUPDATING

=== debian/changelog ===
xl2tpd (1.3.10-1ubuntu1) bionic; urgency=medium

  * Fix ENODEV errors with linux kernel 4.15 (LP: #1760796)
    - d/p/fix-for-enodev.patch: cherry-pick patch from upstream to no
      longer attempt to obtain IP_PKTINFO by default.

 -- Billy Olsen <billy.olsen@canonical.com>  Thu, 12 Jul 2018 12:07:29 -0700

xl2tpd (1.3.10-1) unstable; urgency=medium

  * New upstream release.
    - Drops the non-free RFC, so no need for +dfsg suffix any more.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Oct 2017 19:26:04 +0200

## xl2tpd 1.3.11

=== debian/changelog ===
xl2tpd (1.3.11-1) unstable; urgency=medium

  * New upstream release.
  * Use HTTPS URL in d/copyright
  * Refresh d/control by partly sync'ing from Debian
  * Drop d/repack.sh script and refresh d/watch
  * Bump d/compat to 9
  * Build packages for Xenial by default

 -- Samir Hussain <shussain@xelerance.com>  Wed, 07 Mar 2018 14:37:21 -0500

## xl2tpd 1.3.12

=== packaging/openwrt/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=xl2tpd
-PKG_VERSION:=1.3.10
+PKG_VERSION:=1.3.12
 PKG_RELEASE:=1
 PKG_MD5SUM:=ab5656eb5a3d1973f7f69b039675332e-NEEDSUPDATING

=== debian/changelog ===
xl2tpd (1.3.12-1.1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Fix FTCFBS: Let dh_auto_build pass cross compilers to make.
    (Closes: #899423)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Jan 2019 17:22:40 +0100

xl2tpd (1.3.12-1) unstable; urgency=medium

  [ Samir Hussain ]
  * New upstream release.

  [ Samuel Thibault ]
  * Use https URL.

 -- Samir Hussain <shussain@xelerance.com>  Fri, 18 May 2018 17:08:21 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Homepage: https://www.xelerance.com/software/xl2tpd/
 Vcs-Browser: https://github.com/xelerance/xl2tpd
-Vcs-Git: git://github.com/xelerance/xl2tpd.git
-Build-Depends: debhelper (>= 9), libpcap0.8-dev
+Vcs-Git: https://github.com/xelerance/xl2tpd.git
+Build-Depends: debhelper (>= 10), libpcap0.8-dev
 Standards-Version: 3.9.8
 
 Package: xl2tpd

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/xl2tpd-$1\.tar\.gz/ \
  https://github.com/xelerance/xl2tpd/tags .*/v?(\d\S+)\.tar\.gz

## xl2tpd 1.3.16

=== packaging/openwrt/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=xl2tpd
-PKG_VERSION:=1.3.12
+PKG_VERSION:=1.3.16
 PKG_RELEASE:=1
 PKG_MD5SUM:=ab5656eb5a3d1973f7f69b039675332e-NEEDSUPDATING

=== debian/changelog ===
xl2tpd (1.3.16-1ubuntu0.1) jammy; urgency=medium

  * Disable LTO to make the package work again (LP: #1951832).

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 28 Apr 2022 12:01:14 +0000

xl2tpd (1.3.16-1) unstable; urgency=medium

  * New upstream release.

 -- Samir Hussain <shussain@xelerance.com>  Thu, 16 Sep 2021 11:24:39 -0400

xl2tpd (1.3.15-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Samir Hussain <shussain@xelerance.com>  Sun, 13 Oct 2019 12:22:21 -0500

xl2tpd (1.3.14-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Samir Hussain <shussain@xelerance.com>  Wed, 17 Apr 2019 12:22:21 -0500

xl2tpd (1.3.13-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Samir Hussain <shussain@xelerance.com>  Mon, 03 Dec 2018 13:02:21 -0500

xl2tpd (1.3.12-2) UNRELEASED; urgency=medium

  * copyright: Use https URL for Format.
  * control: Bump Standards-Version to 4.5.0.
  * Bump debhelper from 10 to 12.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 01 Aug 2020 15:34:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: xl2tpd
 Section: net
 Priority: optional
-Maintainer: Samir Hussain <shussain@xelerance.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Samir Hussain <shussain@xelerance.com>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Homepage: https://www.xelerance.com/software/xl2tpd/
 Vcs-Browser: https://github.com/xelerance/xl2tpd
 Vcs-Git: https://github.com/xelerance/xl2tpd.git
-Build-Depends: debhelper (>= 10), libpcap0.8-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 12), libpcap0.8-dev
+Standards-Version: 4.5.0
 
 Package: xl2tpd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,9 @@
 	CFLAGS += -O2
 endif
 
+# LP: #1951832
+export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
+
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
@@ -27,7 +30,10 @@
 build-indep: build-stamp
 build-stamp: configure-stamp 
 	dh_testdir
-	$(MAKE) CFLAGS=" -DDEBUG_PPPD -DTRUST_PPPD_TO_DIE -O2 -fno-builtin -Wall -DSANITY -DLINUX -I$(KERNELSRC)/include/ -DIP_ALLOCATION $(shell dpkg-buildflags --get CFLAGS)" CPPFLAGS=" -DDEBUG_PPPD -DTRUST_PPPD_TO_DIE -O2 -fno-builtin -Wall -DSANITY -DLINUX -I$(KERNELSRC)/include/ -DIP_ALLOCATION $(shell dpkg-buildflags --get CPPFLAGS)" LDFLAGS=" $(shell dpkg-buildflags --get LDFLAGS)"
+	# LP: #1951832
+	# We must set DEB_BUILD_MAINT_OPTIONS manually here since $(shell ...)
+	# doesn't relay exported make variables.
+	dh_auto_build -- CFLAGS=" -DDEBUG_PPPD -DTRUST_PPPD_TO_DIE -O2 -fno-builtin -Wall -DSANITY -DLINUX -I$(KERNELSRC)/include/ -DIP_ALLOCATION -DUSE_KERNEL $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags --get CFLAGS)" CPPFLAGS=" -DDEBUG_PPPD -DTRUST_PPPD_TO_DIE -O2 -fno-builtin -Wall -DSANITY -DLINUX -I$(KERNELSRC)/include/ -DIP_ALLOCATION $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags --get CPPFLAGS)" LDFLAGS=" $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags --get LDFLAGS)"
 	touch $@
 
 clean:

## xl2tpd 1.3.17

=== debian/changelog ===
xl2tpd (1.3.17-1) unstable; urgency=medium

  [ Samir Hussain ]
  * New upstream release.

  [ Samuel Thibault ]
  * control: Fix branch of Vcs-Git.
  * Play cat and mice again with lintian warning suppression.
  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Make Multi-Arch: foreign.
  * watch: Turn rc version piece into ~rc.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Sep 2022 21:37:04 +0200

## xl2tpd 1.3.18

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,9 @@
 # This is free software.  You may distribute it under
 # the terms of the GNU General Public License,
 # version 2, or at your option any later version.
+
+include Makefile.ver
+
 #
 # Note on debugging flags:
 # -DDEBUG_ZLB shows all ZLB exchange traffic
@@ -97,7 +100,7 @@
 
 IPFLAGS?= -DIP_ALLOCATION
 
-CFLAGS+= $(DFLAGS) -Os -Wall -DSANITY $(OSFLAGS) $(IPFLAGS)
+CFLAGS+= $(DFLAGS) -Os -Wall -Wextra -DSANITY $(OSFLAGS) $(IPFLAGS)
 HDRS=l2tp.h avp.h misc.h control.h call.h scheduler.h file.h aaa.h md5.h
 OBJS=xl2tpd.o pty.o misc.o control.o avp.o call.o network.o avpsend.o scheduler.o file.o aaa.o md5.o
 SRCS=${OBJS:.o=.c} ${HDRS}
@@ -130,6 +133,15 @@
 romfs:
 	$(ROMFSINST) /bin/$(EXEC)
 
+version:
+	@echo ${XL2TPDVERSION}
+
+packagingprep:
+	sed -i "s/XL2TPDVERSION=.*/XL2TPDVERSION=${XL2TPDBASEVERSION}/" Makefile.ver
+	sed -i "s/#define SERVER_VERSION .*/#define SERVER_VERSION \"xl2tpd-${XL2TPDBASEVERSION}\"/" l2tp.h
+	sed -i "s/Version: .*/Version: ${XL2TPDBASEVERSION}/" packaging/*/*.spec
+	sed -i "s/PKG_VERSION:=.*/PKG_VERSION:=${XL2TPDBASEVERSION}/" packaging/openwrt/Makefile
+
 install: ${EXEC} pfc ${CONTROL_EXEC}
 	install -d -m 0755 ${SBINDIR}
 	install -m 0755 $(EXEC) ${SBINDIR}/$(EXEC)

=== debian/changelog ===
xl2tpd (1.3.18-1) unstable; urgency=medium

  * New upstream release.

 -- Samir Hussain <shussain@xelerance.com>  Tue, 01 Nov 2022 16:42:39 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: xl2tpd
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Samir Hussain <shussain@xelerance.com>
+Maintainer: Samir Hussain <shussain@xelerance.com>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Homepage: https://www.xelerance.com/software/xl2tpd/
 Vcs-Browser: https://github.com/xelerance/xl2tpd
-Vcs-Git: https://github.com/xelerance/xl2tpd.git
+Vcs-Git: https://github.com/xelerance/xl2tpd.git -b debian-sid
 Build-Depends: debhelper-compat (= 12), libpcap0.8-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 
 Package: xl2tpd
 Architecture: any
+Multi-Arch: foreign
 Provides: l2tpd
 Depends: ${shlibs:Depends}, ${misc:Depends}, ppp, lsb-base (>= 3.0-6)
 Description: layer 2 tunneling protocol implementation

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,6 @@
 	CFLAGS += -O2
 endif
 
-# LP: #1951832
-export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
-
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
@@ -30,10 +27,7 @@
 build-indep: build-stamp
 build-stamp: configure-stamp 
 	dh_testdir
-	# LP: #1951832
-	# We must set DEB_BUILD_MAINT_OPTIONS manually here since $(shell ...)
-	# doesn't relay exported make variables.
-	dh_auto_build -- CFLAGS=" -DDEBUG_PPPD -DTRUST_PPPD_TO_DIE -O2 -fno-builtin -Wall -DSANITY -DLINUX -I$(KERNELSRC)/include/ -DIP_ALLOCATION -DUSE_KERNEL $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags --get CFLAGS)" CPPFLAGS=" -DDEBUG_PPPD -DTRUST_PPPD_TO_DIE -O2 -fno-builtin -Wall -DSANITY -DLINUX -I$(KERNELSRC)/include/ -DIP_ALLOCATION $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags --get CPPFLAGS)" LDFLAGS=" $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags --get LDFLAGS)"
+	dh_auto_build -- CFLAGS=" -DDEBUG_PPPD -DTRUST_PPPD_TO_DIE -O2 -fno-builtin -Wall -DSANITY -DLINUX -I$(KERNELSRC)/include/ -DIP_ALLOCATION -DUSE_KERNEL $(shell dpkg-buildflags --get CFLAGS)" CPPFLAGS=" -DDEBUG_PPPD -DTRUST_PPPD_TO_DIE -O2 -fno-builtin -Wall -DSANITY -DLINUX -I$(KERNELSRC)/include/ -DIP_ALLOCATION $(shell dpkg-buildflags --get CPPFLAGS)" LDFLAGS=" $(shell dpkg-buildflags --get LDFLAGS)"
 	touch $@
 
 clean:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/xl2tpd-$1\.tar\.gz/,\
uversionmangle=s/(\d)(rc)/$1~$2/ \
  https://github.com/xelerance/xl2tpd/tags .*/v?(\d\S+)\.tar\.gz
